Can't find prestissimo composer package


#1

Prestessimo (for speeding up) composer installs/updates is listed as global package in


but I cannot find it on the Trellis system after ansible provisioning. How can I verify it really is installed?


#2

Good question lol. It doesn’t work according to my testing as well :pensive:

TASK [composer : Install configured globally-required packages.] ***************
changed: [default] => (item={u'name': u'hirak/prestissimo'})
vagrant@example:~$ composer global show hirak/prestissimo
Changed current directory to /home/vagrant/.config/composer
Composer could not find a composer.json file in /home/vagrant/.config/composer
To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section
vagrant@example:~$ composer global require hirak/prestissimo
Changed current directory to /home/vagrant/.config/composer
Using version ^0.3.6 for hirak/prestissimo
./composer.json has been created
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 1 install, 0 updates, 0 removals
  - Installing hirak/prestissimo (0.3.6): Downloading (100%)
Writing lock file
Generating autoload files
vagrant@example:~$ composer global show hirak/prestissimo
Changed current directory to /home/vagrant/.config/composer
name     : hirak/prestissimo
descrip. : composer parallel install plugin
keywords : install, parallel, speedup
versions : * 0.3.6
type     : composer-plugin
license  : MIT License (MIT) (OSI approved) https://spdx.org/licenses/MIT.html#licenseText
source   : [git] https://github.com/hirak/prestissimo.git 218643bb76a06a1ae81c76fa8bbcc4101c287a2d
dist     : [zip] https://api.github.com/repos/hirak/prestissimo/zipball/218643bb76a06a1ae81c76fa8bbcc4101c287a2d 218643bb76a06a1ae81c76fa8bbcc4101c287a2d
names    : hirak/prestissimo

autoload
psr-4
Hirak\Prestissimo\ => src/

requires
composer-plugin-api ^1.0.0
ext-curl *
php ^5.3.2 || ^7.0

requires (dev)
composer/composer 1.0.0
phpunit/phpunit ^4.8
squizlabs/php_codesniffer ^2.5

So it definitely wasn’t there until manually run. Not exactly sure what’s going on.


Vagrant up fails with message "zlib_decode(): data error"